Skip to main content
GET
/
balance
Get account balance
curl --request GET \
  --url https://playground.runa.io/v2/balance \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://playground.runa.io/v2/balance"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://playground.runa.io/v2/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "balance": "10.00",
  "currency": "USD"
}
Retrieves the account balance.
  • If the currency parameter is provided, the response will be a single balance object for the currency requested.
  • If the currency parameter is omitted, the response will be an array of balance objects for all currencies with a balance greater than 0.

Need a hand with balances?

Take a read of our guide to help manage your balances, including setting up alerts.

Authorizations

X-Api-Key
string
header
required

Your API key. See the API key page on details of how to generate and store your keys.

Headers

X-Api-Version
string

The dated version of the API, if not specified a default is used. See API versioning for more information.

Query Parameters

currency
string

The currency of the account, represented by ISO 4217 currency codes. Check the currencies for a listing of supported currencies.

Pattern: ^[A-Z]{3}$

Response

OK

If the currency parameter is provided, the response will be a single balance object.

balance
string

The balance of the account.

Pattern: ^[0-9]+\.[0-9]{2}$
Example:

"10.00"

currency
string

The currency of the account, represented by ISO 4217 currency codes. Check the currencies for a listing of supported currencies.

Pattern: ^[A-Z]{3}$
Example:

"USD"